Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.graph.observe
Enum NetChangeObserver.ChangeType

    java.lang.Object
      java.lang.Enum<NetChangeObserver.ChangeType>
          org.modeshape.graph.observe.NetChangeObserver.ChangeType

All Implemented Interfaces:
  Serializable, Comparable<NetChangeObserver.ChangeType>

Enclosing class:
  NetChangeObserver

    public static enum NetChangeObserver.ChangeType

extends Enum<NetChangeObserver.ChangeType>

Enum Constant Summary
`NODE_ADDED`
`NODE_LOCKED`
`NODE_MOVED`
`NODE_REMOVED`
`NODE_UNLOCKED`
`PROPERTY_ADDED`
`PROPERTY_CHANGED`
`PROPERTY_REMOVED`

Method Summary
`static NetChangeObserver.ChangeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NetChangeObserver.ChangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NODE_ADDED

    public static final NetChangeObserver.ChangeType NODE_ADDED

### NODE_MOVED

    public static final NetChangeObserver.ChangeType NODE_MOVED

### NODE_REMOVED

    public static final NetChangeObserver.ChangeType NODE_REMOVED

### PROPERTY_ADDED

    public static final NetChangeObserver.ChangeType PROPERTY_ADDED

### PROPERTY_REMOVED

    public static final NetChangeObserver.ChangeType PROPERTY_REMOVED

### PROPERTY_CHANGED

    public static final NetChangeObserver.ChangeType PROPERTY_CHANGED

### NODE_LOCKED

    public static final NetChangeObserver.ChangeType NODE_LOCKED

### NODE_UNLOCKED

    public static final NetChangeObserver.ChangeType NODE_UNLOCKED

Method Detail

### values

    public static NetChangeObserver.ChangeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NetChangeObserver.ChangeType c : NetChangeObserver.ChangeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NetChangeObserver.ChangeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.